# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/rs1sum/rs1sum-1.0.ebuild,v 0.1 atzm Exp $

IUSE=""

DESCRIPTION="Fixing check sum of Romancing SaGa's save data"
SRC_URI="http://www.jttk.zaq.ne.jp/babsy102/soft/${PN}.lzh"
HOMEPAGE="http://www.jttk.zaq.ne.jp/babsy102/"
LICENSE="as-is"
SLOT=0
KEYWORDS="~x86 ~alpha ~sparc ~sparc64 ~ppc"

DEPEND="lha perl gzip nkf"
RDEPEND=""

S="${WORKDIR}"

src_unpack(){
	cd ${S}
	lha e ${DISTDIR}/${A}
	zcat ${FILESDIR}/${PV}/${P}.patch.gz | patch
	mv rs1sum.c rs1sum.c.orig
	sed -e "s/void/int/" -e "s/\(return\)/\1 0/" rs1sum.c.orig |
	nkf -e | perl ${FILESDIR}/${PV}/crlf.pl > rs1sum.c
}

src_compile(){
	emake -f ${FILESDIR}/${PV}/Makefile || die
}

src_install(){
	dobin rs1sum
}
